#
# spec file for package gcompris
#
# Copyright (c) 2012-2017 Lars Vogdt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           mimetex
Summary:        LaTeX math expressions to anti-aliased GIF images converter
Version:        1.76
Release:        lp150.1.1
Url:            http://www.forkosh.com/mimetex.html
Group:          Productivity/Publishing/TeX/Utilities
License:        GPL-2.0
BuildRequires:  gcc
Source:         %{name}-%{version}.tar.bz2
Source2:        mimetex.man.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         cachepath /var/cache/mimetex

%description
LaTeX math expressions to anti-aliased GIF images converter
mimeTex parses LaTeX math expressions emitting directly GIF images
without intermediate dvi-to-gif conversion.

mimeTex is a standalone program that doesn't use TeX in any way, a kind
of lightweight alternative to MathML.

%prep
%setup -q

%build
export CFLAGS="%optflags"
gcc $CFLAGS -DAA -DINPUTPATH=\"srv,var,home,tmp\" mimetex.c gifsave.c -lm -o mimetex

%install
install -Dm755 mimetex %{buildroot}%{_bindir}/mimetex
install -Dm644 %{SOURCE2} %{buildroot}%{_mandir}/man1/mimetex.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING mimetex.html
%doc %{_mandir}/man1/*
%{_bindir}/mimetex

%changelog
* Wed Oct 18 2017 lars@linux-schulserver.de
- update to 1.76 (11 July 2017):
  New functions:
  + imgsupsamp(rp,sf,grayscale)
  + ssweights(width,height,maxwt,wts)
  + mimetexgetbytemap(expression,width,height)
  + mimetextypebytemap(bp,grayscale,width,height,fp)
* Wed Jun  7 2017 lars@linux-schulserver.de
- update to 1.75
  + Three additional larger font sizes have been added, so mimeTeX
    now has 11 font sizes, specified by the usual directives \tiny,
    \scriptsize, \footnotesize, \small, \normalsize, \large, \Large,
    \LARGE, \huge and \Huge.
    That's only 10, so mimeTeX recognizes \HUGE as well,
* Tue Nov 20 2012 lars@linux-schulserver.de
- update to 1.74
- specfile cleanup
- license tag follows spdx now
* Tue May 10 2011 lars@linux-schulserver.de
- update to 1.72:
* Sun Jun  7 2009 lars@linux-schulserver.de
- update to 1.71:
  + new compile options -DREFLEVELS=n; -DINPUTOK; -DINPUTPATH and
  - DINPUTREFERER
  + New \environment directive displays the http environment
    variables known to mimeTeX.
  + Minor problem corrected where arguments for user-defined macros
    in newcommands.h had not themselves been (recursively)
    interpreted for macros.
  + The "special" directive \version now displays the
    informational version
  + MimeTeX's array-like environments now recognize optional extra
    vertical space between rows as specified by \\[len] .
- compile with  -DINPUTPATH="srv,var,home,tmp" for more security
* Mon Feb  2 2009 lars@linux-schulserver.de
- added manpage from Isaac Clerencia
* Mon Feb  2 2009 lars@linux-schulserver.de
- initial package 1.70
